aboutsummaryrefslogtreecommitdiffstats
path: root/CAN-binder/libs/uds-c/runtests.sh
diff options
context:
space:
mode:
authorRomain Forlot <romain.forlot@iot.bzh>2017-05-02 17:52:11 +0200
committerRomain Forlot <romain.forlot@iot.bzh>2017-05-02 17:52:11 +0200
commit0242c26c2f5dc96387bca7efb118364c800f4ee7 (patch)
treeba0a67a78004a45afd158a3ca3fb01c6fc012e06 /CAN-binder/libs/uds-c/runtests.sh
parent3102ec9ce009d0f28355c5b7df9c5bd5013e6e75 (diff)
parentca20db3dd978871bbb9f01f3c862b510c03d1dc4 (diff)
Add 'CAN-binder/libs/uds-c/' from commit 'ca20db3dd978871bbb9f01f3c862b510c03d1dc4'
git-subtree-dir: CAN-binder/libs/uds-c git-subtree-mainline: 3102ec9ce009d0f28355c5b7df9c5bd5013e6e75 git-subtree-split: ca20db3dd978871bbb9f01f3c862b510c03d1dc4
Diffstat (limited to 'CAN-binder/libs/uds-c/runtests.sh')
-rw-r--r--CAN-binder/libs/uds-c/runtests.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/CAN-binder/libs/uds-c/runtests.sh b/CAN-binder/libs/uds-c/runtests.sh
new file mode 100644
index 00000000..4781636b
--- /dev/null
+++ b/CAN-binder/libs/uds-c/runtests.sh
@@ -0,0 +1,17 @@
+echo "Running unit tests:"
+
+for i in $1/*.bin
+do
+ if test -f $i
+ then
+ if ./$i
+ then
+ echo $i PASS
+ else
+ echo "ERROR in test $i:"
+ exit 1
+ fi
+ fi
+done
+
+echo "${txtbld}$(tput setaf 2)All unit tests passed.$(tput sgr0)"